GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXVendorData Class Reference

Class for handling Vendor Data. More...

`#include <GTXVendorData.hpp>`

## Public Member Functions
| GTXVendorData (const char *identifier, int version)
| Vendor Data Constructor. More...
| GTXVendorData (const GTXVendorData &vdata)
| Vendor Data Copy Constructor. More...
GTXVendorData | operator= (const GTXVendorData &vdata)
| Vendor Data Copy = operator. More...
| ~GTXVendorData ()
| Vendor Data Destructor. More...
void | AddAttributeInt (const char *name, int value)
| Add an integer attribute to a Vendor Data. More...
void | AddAttributeDouble (const char *name, double value)
| Add a double attribute to a Vendor Data. More...
void | AddAttributeString (const char *name, const char *value)
| Add a string attribute to a Vendor Data. More...
void | AddAttributeIntArray (const char *name, const GTXIntArray &values)
| Add an integer array attribute to a Vendor Data. More...
void | AddAttributeDoubleArray (const char *name, const GTXDoubleArray &values)
| Add a double array attribute to a Vendor Data. More...
void | AddAttributeStringArray (const char *name, const GTXStringArray &values)
| Add a string array attribute to a Vendor Data. More...
int | GetVersion () const
| Get version string from a Vendor Data. More...
const char * | GetIdentifier () const
| Get identifier string from a Vendor Data. More...
int | GetAttributeInt (const char *name) const
| Get value from an integer attribute of a Vendor Data. More...
double | GetAttributeDouble (const char *name) const
| Get value from a double attribute of a Vendor Data. More...
const char * | GetAttributeString (const char *name) const
| Get value from a string attribute of a Vendor Data. More...
GTXIntArray | GetAttributeIntArray (const char *name) const
| Get value from an integer array attribute of a Vendor Data. More...
GTXDoubleArray | GetAttributeDoubleArray (const char *name) const
| Get value from a double array attribute of a Vendor Data. More...
GTXStringArray | GetAttributeStringArray (const char *name) const
| Get value from a string array attribute of a Vendor Data. More...

## Friends
class | GTXClient

## Detailed Description

Class for handling Vendor Data.

Examples:
  vendor.cpp.

## Constructor & Destructor Documentation

GTXVendorData::GTXVendorData | ( | const char * | identifier,
|  | int | version
| ) |  |

Vendor Data Constructor.

Constructs a vendor data from a string an a version number

Exceptions

  GTXError |

Parameters

  identifier | vendor data identifier
  version | vendor data version

GTXVendorData::GTXVendorData | ( | const GTXVendorData & | vdata | ) |

Vendor Data Copy Constructor.

Constructs a vendor data by copying an existing one

Exceptions

  GTXError |

Parameters

  vdata | source vendor data

GTXVendorData::~GTXVendorData | ( |  | ) |

Vendor Data Destructor.

Deletes a Vendor Data contents

## Member Function Documentation

void GTXVendorData::AddAttributeDouble | ( | const char * | name,
|  | double | value
| ) |  |

Add a double attribute to a Vendor Data.

This function adds a double attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  value | Value of the attribute

Examples:
  vendor.cpp.

void GTXVendorData::AddAttributeDoubleArray | ( | const char * | name,
|  | const GTXDoubleArray & | values
| ) |  |

Add a double array attribute to a Vendor Data.

This function adds a double array attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  values | Array of double

Examples:
  vendor.cpp.

References GTXDoubleArray::GetCount(), and GTXDoubleArray::GetValues().

void GTXVendorData::AddAttributeInt | ( | const char * | name,
|  | int | value
| ) |  |

Add an integer attribute to a Vendor Data.

This function adds an integer attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  value | Value of the attribute

Examples:
  vendor.cpp.

void GTXVendorData::AddAttributeIntArray | ( | const char * | name,
|  | const GTXIntArray & | values
| ) |  |

Add an integer array attribute to a Vendor Data.

This function adds an integer array attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  values | Array of integer

Examples:
  vendor.cpp.

References GTXIntArray::GetCount(), and GTXIntArray::GetValues().

void GTXVendorData::AddAttributeString | ( | const char * | name,
|  | const char * | value
| ) |  |

Add a string attribute to a Vendor Data.

This function adds a string attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  value | Value of the attribute

Examples:
  vendor.cpp.

void GTXVendorData::AddAttributeStringArray | ( | const char * | name,
|  | const GTXStringArray & | values
| ) |  |

Add a string array attribute to a Vendor Data.

This function adds a double array attribute to a Vendor Data

Exceptions

  GTXError |

Parameters

  name | Attribute name
  values | Array of strings

Examples:
  vendor.cpp.

References GTXStringArray::GetCount(), and GTXStringArray::GetValues().

double GTXVendorData::GetAttributeDouble | ( | const char * | name | ) | const

Get value from a double attribute of a Vendor Data.

This function reads the value from a double attribute of a Vendor Data

Returns
  Returned double value

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Examples:
  vendor.cpp.

GTXDoubleArray GTXVendorData::GetAttributeDoubleArray | ( | const char * | name | ) | const

Get value from a double array attribute of a Vendor Data.

This function reads the value from a double array attribute of a Vendor Data

Returns
  Returned doubles values

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Examples:
  vendor.cpp.

int GTXVendorData::GetAttributeInt | ( | const char * | name | ) | const

Get value from an integer attribute of a Vendor Data.

This function reads the value from an integer attribute of a Vendor Data

Returns
  Returned integer value

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Examples:
  vendor.cpp.

GTXIntArray GTXVendorData::GetAttributeIntArray | ( | const char * | name | ) | const

Get value from an integer array attribute of a Vendor Data.

This function reads the value from an integer array attribute of a Vendor Data

Returns
  Returned integer values

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Examples:
  vendor.cpp.

const char * GTXVendorData::GetAttributeString | ( | const char * | name | ) | const

Get value from a string attribute of a Vendor Data.

This function reads the value from a string attribute of a Vendor Data

Returns
  Returned string value

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Remarks: returned value is a string from the vendor data contents, so
  it does not have to (and should not) be freed.

Examples:
  vendor.cpp.

GTXStringArray GTXVendorData::GetAttributeStringArray | ( | const char * | name | ) | const

Get value from a string array attribute of a Vendor Data.

This function reads the value from a string array attribute of a Vendor Data

Returns
  Returned strings values

Exceptions

  GTXError |

Parameters

  name | Name of the attribute to read

Examples:
  vendor.cpp.

const char * GTXVendorData::GetIdentifier | ( |  | ) | const

Get identifier string from a Vendor Data.

This function reads the identifier string of a Vendor Data

Returns
  Returned Vendor Data identifier

int GTXVendorData::GetVersion | ( |  | ) | const

Get version string from a Vendor Data.

This function reads the version string of a Vendor Data

Returns
  Returned Vendor Data version

GTXVendorData GTXVendorData::operator= | ( | const GTXVendorData & | vdata | ) |

Vendor Data Copy = operator.

Copies a vendor data to another one

Exceptions

  GTXError |

Returns
  copied vendor data

Parameters

  vdata | source vendor data

The documentation for this class was generated from the following files:

- include/GTXVendorData.hpp
- src/gtxclient/GTXVendorData.cpp